# LuminosityShader

## Import

LuminosityShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { LuminosityShader } from 'three/addons/shaders/LuminosityShader.js';
```

## Properties

### .LuminosityShader : ShaderMaterial~Shader (inner, constant)

Luminosity shader.

## Source

[examples/jsm/shaders/LuminosityShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/LuminosityShader.js)